package com.fjhx.iot.service.tda;

import com.fjhx.iot.entity.tda.po.TdaProduct;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.iot.entity.tda.vo.TdaProductVo;
import com.fjhx.iot.entity.tda.dto.TdaProductSelectDto;
import com.fjhx.iot.entity.tda.dto.TdaProductDto;


/**
 * <p>
 * 产品管理 服务类
 * </p>
 *
 * @author zlj
 * @since 2023-03-21
 */
public interface TdaProductService extends BaseService<TdaProduct> {

    /**
     * 产品管理分页
     */
    Page<TdaProductVo> getPage(TdaProductSelectDto dto);

    /**
     * 产品管理明细
     */
    TdaProductVo detail(Long id);

    /**
     * 产品管理新增
     */
    void add(TdaProductDto tdaProductDto);

    /**
     * 产品管理删除
     */
    void delete(Long id);

}
